.app {
    /* Chiếm hết width */
    overflow: hidden;
}
.header{
    height: var(--header-height);
    background-image: linear-gradient(0,#fe6433, #f53e2d);
}
.header__navbar{
    display: flex; /*2 thèn UL cùng nằm trên 1 dòng*/
    justify-content: space-between; /*khoảng cách của thẻ sẽ cách xa nhau đầu và cuối*/
}
.header__navbar-list {
    list-style: none; /*Remove dấu * trước thẻ li*/
    padding-left: 0; /*Defaul thẻ ul là 30px, remove default to zero*/
    margin: 4px 0 0 0;
}
.header__navbar-item{   
    position: relative;
    margin: 0 8px;
    min-height: 26px;
}

/* Login */
.header__navbar-user {
    display: flex;
    justify-items: center;
    position: relative;
}
.header__navbar-user:hover .header__navbar-user-menu{
    display: block;
}
.header__navbar-user-img {
    position: relative;
    top:4px;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    border: 1px solid rgb(0,0, 0,0.2);
}
.header__navbar-user-name {
    margin-left: 4px;
    font-size: 1.4rem;
    font-weight: 400;
}

.header__navbar-user-menu{
    position: absolute;
    z-index: 1; /*xét điều kiện cho nó chồng lên cao hơn thẻ khác */
    padding-left: 0;
    top: calc(100% + 6px);
    right: 0;
    width: 160px;
    border-radius: 2px;
    background-color: var(--white-color);
    list-style: none;
    box-shadow: 0 1px 2px #e0e0e0;
    display: none;
}
.header__navbar-user-menu::before {
    content: "";
    border-width: 20px 30px ;
    border-style:  solid;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -29px;
}
.header__navbar-user-menu::after {
    content: "";
    display: block;
    position: absolute;
    top:-8px;
    right: 0;
    width: 56%;
    height:8px;

}

.header__navbar-user-item a{
    text-decoration: none;
    color: var(--text-color);
    font-size: 1.4rem;
    padding: 10px 16px;
    display: block;
}
.header__navbar-user-item--separate{
    border-top: 1px solid rgba(0,0,0,0.05);   
}
.header__navbar-user-item a:first-child{
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}
.header__navbar-user-item a:last-child{
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}
.header__navbar-user-item a:hover{
    background-color: #fafafa;
}
.header__navbar-item--has-qr:hover .header__qr{
    /* CSS */
    display: block;
}
.header__navbar-item--has-notify:hover .header__notify {
    display: block;
}

.header__navbar-item, .header__navbar-item-link {
    display: inline-block; /*Giữ lại tính chất khối và nằm trên một hàng*/
    font-size: 1.3rem;
    color: var(--white-color);
    text-decoration: none; /*remove dấu gạch chân thẻ a*/
    font-weight: 300;
}

.header__navbar-item:hover, .header__navbar-item-link:hover {
    cursor: pointer; /*control chuột khi chúng ta di chuyển vô*/
    color: rgba(255,255,255,0.7);

}

.header__navbar-item--strong {
    font-weight: 400;
}
.header__navbar-item--separate::after{
    content: "";
    display: block;
    position: absolute;
    border-left: 1px solid #fb9086;
    height: 16px;
    right: -9px;
    top: 50%;
    transform: translateY(-50%);
}
.header_navbar-icon-link{
    color: var(--white-color);
    text-decoration: none;
}
.header_navbar-icon-link:nth-child(2){
    margin-left: 3px;
}
/*Header QR code*/
.header__qr{
    width: 186px;
    position: absolute;
    background-color: var(--white-color);
    left: 0;
    top: 118%;
    padding: 8px;
    border-radius: 2px;
    display: none;
    animation: fadeIn ease-in 0.3s;
    z-index: 1;
    box-shadow: 0 1px 2px rgba(0,0,0,0.1);
}
.header__qr::before{
    content: "";
    position: absolute;
    display: block;
    left: 0;
    top: -16px;
    width: 100%;
    height: 20px;
}

.header__qr-img {
    width: 100%;

}
.header__qr-apps{   
    display: flex;
    justify-content: space-between;
}
/* Lấy class đầu tiên */
.header__qr-link:first-child {
    margin-left: 11px;
}
.header__qr-link:nth-child(2) {
    margin-right: 11px;
}
.header__qr-download-img {
    height: 15px;
}
/*Header notification*/
.header__notify{
    z-index: 1;
    position: absolute;
    top:118%;
    right:0;
    width: 404px;
    border-radius: 2px;
    border: 1px solid #d3d3d3;
    background-color: var(--white-color);
    cursor: default;
    transform-origin: calc(100% - 32px) top;
    animation: headerNotifyGrowth ease-in 0.2s;
    will-change: opacity, transform; /*Thuoc tinh gi se change*/
    display: none;
}
.header__notify::before {
    content: "";
    border-width: 20px 30px ;
    border-style:  solid;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -29px;
}
.header__notify::after {
    content: "";
    display: block;
    position: absolute;
    right: 0;
    top:-16px;
    width: 90px;
    height: 20px;
}
@keyframes headerNotifyGrowth {
    from {
        opacity: 0;
        transform: scale(0); /*Độ lớn lên to hoặc nhỏ*/
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.header__notify-header{
    height: 40px;
    background-color: var(--white-color);
}
.header__notify-header h3{
    color: #666;
    margin: 0 0 0 12px;
    font-weight: 400;
    font-size: 1.4rem;
    line-height: 40px;
    user-select: none; /*Không cho copy đoạn text*/
}
.header__notify-list{
    padding-left: 0;
}
.header__notify-item{
    display: flex;
}
.header__notify-item--viewed{
    background-color: rgba(238, 77, 43,0.08);
}
.header__notify-item:hover{
    background-color: #f1f1f1;
}

.header__notify-link{
    display: flex;
    object-fit: contain; /* Xữ lý ảnh đúng kích thước của nó */
    width: 100%;
    padding: 12px;
    text-decoration: none;
}

.header__notify-img{
    width: 48px;

}
.header__notify-info{  
    margin-left: 12px;

}
.header__notify-name{
    display: block;
    font-size: 1.4rem;
    color: var(--back-color);
    font-weight: 400;
    line-height: 1.8rem;
}
.header__notify-description{
    margin-top: 4px;
    display: block;
    font-size: 1.2rem;
    color: #756f6e;
}
.header__notify-footer {
    display: flex;
}
.header__notify-footer-btn {
    text-decoration: none;
    color: var(--text-color);
    width: 100%;
    padding: 8px 0px;
    text-align: center;
    font-size: 1.4rem;
    font-weight: 400;

}

/* Authen modal*/
.auth-form{
    width: 500px;
    background-color: var(--white-color);
    border-radius: 5px;
    overflow: hidden; /* Nếu thèn con lớn hơn thèn cha thì sẽ chỉ chiếm phần của thèn cha thôi không bị ra ngoài */
}
.auth-form__container{
    padding: 0 32px;
}
.auth-form__header{
    display: flex;
    align-items: center; /*Cho dòng ngang nhau*/
    justify-content: space-between; /*Cho 2 thèn cách ngay ở đầu và cuối*/
    padding: 0 12px;
    margin-top: 10px;
}
.auth-form__heading{
    font-size: 2.2rem;
    font-weight: 400;
    color: var(--text-color);
}
.auth-form__switch-btn{
    font-size: 1.6rem;
    font-weight: 4  00;
    color: var(--primary-color);
    cursor: pointer;
}

.auth-form__input{
    width: 100%;
    height: 40px;
    margin-top: 16px;
    padding: 0 12px;
    font-size: 1.4rem;
    border-radius: 2px;
    border: 1px solid var(--border-color);
    outline: none; /*Remove viền border when click on*/
}
.auth-form__input:focus{
    border-color: #888;
}

.auth-form__aside{
    margin-top: 18px;
}
.auth-form__policy-text{
    font-size: 1.2rem;
    line-height: 1.8rem;
    text-align: center;
    padding: 0 12px;
}
.auth-form__text-link{
    text-decoration: none;
    color: var(--primary-color);
}
.auth-form__controls{
    display: flex;
    justify-content: flex-end;
    margin-top: 80px;
}
.auth-form__controls-back {
    margin-right: 8px;
}
.auth-form__socials{
   background-color: #f5f5f5;
   padding: 16px 36px;
   display: flex;
   justify-content: space-between;
   margin-top: 24px;
}
.auth-form__socials-icon{
    font-size: 1.8rem;

}
.auth-form__socials--facebook{
    color: var(--white-color);
    background-color: #3A5A98;
}
.auth-form__socials--facebook
.auth-form__socials-icon {
    color: var(--white-color);
}
.auth-form__socials-title{
    margin: 0 36px;
}
.auth-form__socials--google {
    color: #666;
    background-color: var(--white-color);
}
.auth-form__help{
    display: flex;
    justify-content: flex-end;
}
.auth-form__help-link {
    font-size: 1.4rem;
    text-decoration: none;
    color: #939393;

}
.auth-form__help-separate{
    display: block;
    height: 22px;
    margin: 2px 16px 0;
    border-left: 1px solid #eaeaea;
}
.auth-form__help-forgot {
    color: var(--primary-color);

}
/* Header with search */
.header-with-search {
    height: var(--header-with-search-height);
    display: flex;
    align-items: center;
    margin: 0 8px;
}
.header__mobile-search{
    padding: 0 12px;
    display: none;
}

.header__mobile-search-icon{
    font-size: 2.6rem;
    color: var(--white-color);
}

.header__logo {
    width: 200px;

}
.header__logo-link{
    color: transparent;
    text-decoration: none;
    display: block;
    line-height: 0;
}
.header__logo-img{
    width: 150px;
    color: var(--white-color)
}
.header__search{
    flex: 1;
    height:40px;
    background-color: var(--white-color);
    border-radius: 2px;
    display: flex;
    align-items: center;
    
}
.header__cart {
    width: 150px;
    line-height: 24px;
    text-align: center;
}

.header__cart-wrap{
    position: relative;
    display: inline-block;
    padding: 0 12px;
    cursor: pointer;
    /* Bỏ đi cái bóng khi click vào button */
    -webkit-tap-highlight-color: transparent;
   
}

.header__cart-icon {
    font-size: 2.4rem;
    margin-top: 6px;
    color: var(--white-color);
}

.header__cart-wrap:hover .header__cart-list {
    display: block;
}

.header__cart-list {
    position: absolute;
    top:calc(100% + 4px);
    right: -3px;
    background-color: var(--white-color);
    width: 400px;
    border-radius: 2px;
    box-shadow: 0 1px 3.125rem 0 rgba(0, 0, 0, 0.2);
    display: none; 
    animation: fadeIn ease-in 0.2s;
    cursor: default;
    z-index: 1;
}
.header__cart-list::after {
    cursor: pointer;
    content: "";
    position: absolute;
    right: 4px;
    top:-32px;
    border-width: 26px 20px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
}
.header__cart-list--no-cart {
    padding: 24px 0;

}
.header__cart-list--no-cart .header__cart-no-cart-img,
.header__cart-list--no-cart .header__cart-list-no-cart-msg {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.header__cart-no-cart-img {
    width: 25%;
    display: none;

}
.header__cart-list-no-cart-msg{
    display: none;
    font-size: 1.4rem;
    margin-top: 14px;
    color: var(--text-color);
}

.header__cart-wrap-notice {
    position: absolute;
    top:-4px;
    right: -4px;
    padding: 1px 7px;
    font-size: 1.4rem;
    line-height: 1.4rem;
    border-radius: 10px;
    border-radius: 2px solid;
    
    color: var(--primary-color);
    background-color: var(--white-color);

 
}

.header__search-checkbox:checked ~ .header__search{
    display: flex;
}



.header__search-input-wrap{
    flex: 1;
    height: 100%;
    position: relative;
}
.header__search-input{
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    font-size: 1.4rem;
    color: var(--text-color);
    padding: 0 16px;
    border-radius: 2px;

}
.header__search-select{
    border-left: 1px solid #e8e8e8;
    padding-left: 16px;
    position: relative;
    cursor: pointer;

}
.header__search-select-label{
    font-size: 1.4rem;
    color: var(--text-color);

}
.header__search-select-icon{
    font-size: 1.4rem;
    color: #4a4a4a;
    margin: 0px 16px 0 8px;
    position: relative;
    top:2px;
}
.header__search-select:hover .header__search-option {
    display: block;
}


.header__search-btn {
    background-color: var(--primary-color);
    border: none;
    height: 34px;
    width: 60px;
    border-radius: 2px;
    margin-right: 3px;
}
.header__search-btn:hover {
    background-color:  #ec593c;
    cursor: pointer;
}

.header__search-btn-icon{
    font-size: 1.4rem;
    color: var(--white-color);
}
.header__search-select:hover .header__search-option{
    display: block;
    z-index: 1;
} 

.header__search-option{
    position: absolute;
    right: 0;
    top: 100%;
    width: 130px;
    list-style: none;
    box-shadow:0 1px 2px #e0e0e0; /*Tạo bóng đổ cho đối tượng*/
    padding-left: 0;
    padding-top: 5px;
    border-radius: 2px;
    display: none;
    animation: fadeIn ease-in 0.2s;
}
.header__search-option::after {
    position: absolute;
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    top:-10px;
    left: 0;
}

.header__search-option-item{
    background-color: var(--white-color);
    padding: 8px 8px;

}
.header__search-option-item:first-child {
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.header__search-option-item:last-child {
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}

.header__search-option-item:hover {
    background-color: #fafafa;
    cursor: pointer;
}

.header__search-option-item span {
    font-size: 1.4rem;
    color: var(--text-color);
    margin-left: 8px;
}
.header__search-option-item i {
    font-size: 1.2rem;
    color: var(--primary-color);
    margin-left: 12px;
    display: none;
}
.header__search-option-item--active i {
    display: inline-block;
}
.header__search-input:focus ~ .header__search-history { 
    display: block;
}

/* Search history */

.header__search-history {
    position: absolute;
    top:calc(100% + 2px);
    left:0;
    width: calc(100% - 16px);
    background-color: var(--white-color);
    border-radius: 2px;
    box-shadow: 0 1px 5px rgb(189, 189, 189);
    display: none;
    overflow: hidden;
    z-index: 1;
}
.header__search-history-heading {
    margin: 6px 12px;
    font-size: 1.4rem;
    color: #999;
    font-weight: 400;
}
.header__search-history-list{
    padding-left: 0;
    list-style: none;
    margin-bottom: 0px;
}
.header__search-history-item{
    height: 38px;
    padding: 0 12px;

}
.header__search-history-item:hover{
    background-color: #fafafa;

}

.header__search-history-item:last-child{
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;

}
.header__search-history-item a {
    display: block;
    font-size: 1.4rem;
    text-decoration: none;
    line-height: 38px;
    color: var(--text-color);
}

/* Cart */
.header__cart-heading{
    text-align: left;
    margin: 8px 0 8px 12px;
    font-size: 1.4rem;
    color: #999;
    font-weight: 400;

}
.header__cart-list-item{
    padding-left: 0;
    list-style: none;
    /* height: 40vh; /*view port height*/
    /* overflow-y: auto; */ 
}
.header__cart-item{
    display: flex;
    align-items: center;

}
.header__cart-item:hover{
    background-color:#f8f8f8 ;
}
.header__cart-img{
    width: 42px;
    height: 42px;
    margin: 12px;

}
.header__cart-item-info{
    width: 100%;
    margin-right: 12px;
}
.header__cart-item-head{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header__cart-item-name{
    font-size: 1.4rem;
    line-height: 2rem;
    max-height: 4rem;
    overflow: hidden;
    font-weight: 500;
    color: var(--text-color);
    margin: 0;
    flex: 1;
    padding-right: 16px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    text-align: left;
}
.header__cart-item-price{
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--primary-color);
}
.header__cart-item-multiply{
    font-size: 0.9rem;
    color: #757575;
    margin: 0 4px;
}
.header__cart-item-qnt{
    color: #757575;
    font-size: 1.2rem;
}
.header__cart-item-body{
    display: flex;
    justify-content: space-between;
}
.header__cart-item-description{
    color: #757575;
    font-size: 1.3rem;
    font-weight: 300;
}
.header__cart-item-remove{
    color: var(--text-color);
    font-size: 1.3rem;
    font-weight: 400;
}
.header__cart-item-remove:hover {
    color: var(--primary-color);
    cursor: pointer;
}
.header__cart-view-cart {
    float: right;
    margin: 0 12px 12px 0;
}

/* Header sort bar */
.header__sort-bar{
    position: fixed;
    top: var(--header-height);
    left: 0;
    right: 0;
    height: var(--header-sort-bar-height);
    background-color: var(--white-color);
    list-style: none;
    margin: 0;
    padding-left: 0;
    border-top: 1px solid #e5eee5;
    border-bottom: 1px solid #e5e5e5;
    display: none;

}
.header__sort-item{
    flex: 1;
}
.header__sort-link{
    text-decoration: none;
    color: var(--text-color);
    font-size: 1.4rem;
    display: block;
    height: 100%;
    line-height: var(--header-sort-bar-height);
    text-align: center;
    position: relative;
}
.header__sort-link::before {
    content: "";
    position: absolute;
    top:50%;
    left: 0;
    height: 60%;
    border-left: 1px solid #e5e5e5;
    transform: translateY(-50%);
}

.header__sort-item--active .header__sort-link{
    color: var(--primary-color);
}
.header__sort-item:first-child .header__sort-link::before{
    display: none;
}

/* App container */

.app__container {
    background-color: #f5f5f5;
}
.app__content{
    padding-top: 36px;
}
.category {
    border-radius: 2px;
    background-color: var(--white-color);
}
.category__heading {
    color: var(--text-color);
    font-size: 1.5rem;
    padding: 16px 16px 0;
    margin-top: 0px;
    text-transform: uppercase;
    /* border-bottom: 1px solid rgba(0, 0, 0, 0.05); */
}
/* .category__heading-icon{
    font-size: 1.4rem;
    margin-right:4px;
    position: relative;
    top:-1px;
} */
.category-list {
    padding: 0 0 8px 0;
    list-style: none;
    /* margin-left: 9px; */
}
.category-item{
    position: relative;
}
.category-item::before{
    content: "";
    position: absolute;
    top: 0;
    left: 20px;
    right: 20px;
    border-top: 1px solid #e1e1e1;
}
.category-item:first-child::before{
    display: none;
}
.category-item--active .category-item__link{
    color: var(--primary-color);
}

/* .category-item--active .category-item__link::before{
    content: "";
    top: 50%;
    left: 7px;
    position: absolute;
    border: 4px solid;
    transform: translateY(-50%);
    border-color: transparent transparent transparent var(--primary-color);
} */

.category-item__link{
    position: relative;
    font-size: 1.4rem;
    color: var(--text-color);
    text-decoration: none;
    padding: 6px 20px;
    display: block;
    transition: right linear 0.1s; /*Khi co chuyen dong no chuyen dong nhu the nao*/
    /* right: 0; */
}
.category-item__link:hover{
    /* right: -4px; */
    color: var(--primary-color);
}
/*Home sort + filter*/
.home-product{
    margin-bottom: 10px;
}
/* Mobile category */
.mobile-category{
    display: none;
}

.mobile-category__list {
    display: flex;
    list-style: none;
    padding-left: 0;
    max-width: 100%;
    /* Nếu mà cái chữ lớn hơn chiều width của thèn div thì nó sẽ có 1 thanh cuộn 
    theo trục X*/
    overflow-x: auto;
}

.mobile-category__list::-webkit-scrollbar{
    display: none;
}

.mobile-category__item {
    /* chữ không bị co lại */
    flex-shrink: 0;
    margin-right: 10px;
}

.mobile-category__item:nth-of-type(3n + 1) .mobile-category__link {
    background-color: #87AFD8;
}
.mobile-category__item:nth-of-type(3n + 2) .mobile-category__link {
    background-color: #76c98d;
}
.mobile-category__item:nth-of-type(3n + 3) .mobile-category__link {
    background-color: #88cf81;
}
.mobile-category__link {
    --line-height: 2rem;
    text-decoration: none;
    color:var(--white-color);
    font-size: 1.4rem;
    line-height: var(--line-height);
    height: calc(var(--line-height) * 2);
    overflow:hidden;
    text-align: center;
    width: 110px;
    height: 40px;
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    border-radius: 4px;
    font-weight: 300;
    /* Khong select chữ khi user chọn */
    user-select: none;
    -webkit-user-select:none;
    padding:0 6px;
}


.home-filter{
    display: flex;
    align-items: center;
    padding: 12px 22px;
    border-radius: 2px;
    background-color: rgba(0,0,0, 0.03);
}
.home-filter__label{
    font-size: 1.4rem;
    color: #555;
    margin-right: 16px;
}
.home-filter__btn{
    min-width: 90px;
    margin-right: 12px;
    background-color: var(--white-color);
    
}

.home-filter__page{
    display: flex;
    align-items: center;
    margin-left: auto;
}

.home-filter__page-num{
    font-size: 1.4rem;
    color: var(--text-color);
    margin-right: 22px;

}
.home-filter__page-num-current{
    color: var(--primary-color);
}
.home-filter__page-control{
    border-radius: 2px;
    overflow: hidden;
    display: flex;
    width: 72px;
    height: 36px;

}
.home-filter__page-btn{
    flex: 1;
    display: flex;
    background-color: var(--white-color);
    text-decoration: none;
}
.home-filter__page-btn:first-child{
    border-right: 1px solid #eee;
}
.home-filter__page-btn--disabled{
    background-color: #f9f9f9;
    cursor: default;

}
.home-filter__page-btn--disabled .home-filter__page-icon {
    color: #ccc;
}
.home-filter__page-icon{
    margin: auto;
    font-size: 1.4rem;
    color: #555;
}

/* Product item */
.home-product-item{
    display: block;
    position: relative;
    margin-top: 10px;
    text-decoration: none;
    background-color: var(--white-color);
    border-radius: 2px;
    box-shadow: 0 1px 2px 0 rgb(0, 0, 0, 0.1);
    transition: transform linear 0.1s;
    will-change: transform;
}
.home-product-item:hover{
    transform:translateY(-1px);
    box-shadow: 0 1px 20px 0 rgb(0, 0, 0, 0.05);
}
.home-product-item__img{
    padding-top: 100%;
    background-repeat: no-repeat;
    background-size: contain; /*chỉnh bức ảnh hợp với khung*/
    background-position: top center;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}
.home-product-item__name{
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--text-color);
    line-height: 1.8rem;
    height: 3.6rem;
    margin: 10px 10px 6px;
    overflow: hidden;
    display: block;
    
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    /* text-overflow: ellipsis;
    white-space: nowrap; */ /*Chỉ áp dụng cho 1 dòng*/
}
.home-product-item__price{
    display: flex;

    align-items: baseline; /*đưa 2 giá về cùng 1 dòng thẳng hàng*/
    flex-wrap: wrap; /*Chỉnh nếu chữ vượt quá khung sẽ xuống dòng*/

}
.home-product-item__price-old{
    padding-left: 10px;
    font-size: 1.4rem;
    color: #666;
    text-decoration: line-through;
}
.home-product-item__price-current{
    font-size: 1.6rem;
    color: var(--primary-color);
    margin-left: 10px;

}
.home-product-item__action{
    display: flex;
    justify-content: space-between;
    margin: 8px 10px 0;
}
.home-product-item__like--liked .home-product-item__like-icon-fill{
    display: inline-block;
    color: #F63d30;
}

.home-product-item__like--liked .home-product-item__like-icon-empty{
    display: none;
}

.home-product-item__like{
    font-size: 1.3rem;
}
i.home-product-item__like-icon-fill{
    display: none;
}
.home-product-item__rating{
    font-size: 1rem;
    transform: scale(0.8);
    transform-origin: right;
    color: #d5d5d5;
    margin: -1px 0 0 auto;
}
.home-product-item__star--gold{
    color: var(--star-gold-color);
}
.home-product-item__sold{
    margin-left: 6px;
    font-size: 1.2rem;
    color: var(--text-color);
}
.home-product-item__origin{
    display: flex;
    margin: 3px 10px 0;
    color: #595959;
    font-size: 1.2rem;
    font-weight: 300;
}

.home-product-item__origin-name{
    margin-left: auto;
}
.home-product-item__favourite{
    position: absolute;
    top:10px;
    left: -4px;
    color: var(--primary-color);
    background-color: currentColor; /*Lấy màu hiện tại*/
    font-size: 1.2rem;
    font-weight: 500;
    list-style: 1.6rem;
    padding-right: 4px;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}
.home-product-item__favourite::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    border-top: 3px solid currentColor;
    border-left: 3px solid transparent;
    filter: brightness(40%); /*giảm độ đậm nhạt của màu*/
}
.home-product-item__favourite span {
    color: var(--white-color);
}
.home-product-item__favourite i{
    color: var(--white-color);
    font-size: 0.9rem;
    margin: 0 2px 0 5px;
    
}
.home-product-item__sale-off{
    position: absolute;
    top:0;
    right: 0;
    width: 40px;
    height: 36px;
    text-align: center;
    background-color: rgba(255, 216, 64, 0.94);
    border-top-right-radius: 2px;
}
.home-product-item__sale-off::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -6px;
    border-width: 0 20px 6px;
    border-style: solid;
    color:  rgba(255, 216, 64, 0.94);
    border-color: transparent currentColor transparent currentColor;
}
.home-product-item__sale-off-percent{
    color: #ee4d2d;
    font-weight: 700;
    font-size: 1.3rem;
    line-height: 1.3rem;
}   
.home-product-item__sale-off-label{
    color: var(--white-color);
    font-size: 1.3rem;
    line-height: 1.3rem;
}
.home-product__pagination{
    margin-top: 48px;
    margin-bottom: 32;
    padding-left: 0px;
}
.footer{
    padding-top: 16px;
    border-top:4px solid var(--primary-color);
    color: var(--text-color);
    background-color: var(--white-color);
}
.footer__heading{
    font-size: 1.4rem;
    text-transform: uppercase;
    color: var(--text-color);
}
.footer-list{
    padding-left: 0px;
    list-style: none;
}
.footer-item__link{
    text-decoration: none;
    font-size: 1.2rem;
    color: #737373;
    padding:2px 0;
    display: flex;
    align-items: center;

}
.footer-item__link:hover{
    color: var(--primary-color);
}

.footer-item__icon{
    font-size: 1.6rem;
    margin: -1px 8px 0 0;
}
.footer__download{
    display: flex;
}
.footer__download-qr{
    width: 80px;
    height: 80px;
    border: 1px solid var(--border-color);
}
.footer__download-apps{
    flex: 1;
    margin-left: 16px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer__download-apps-img{
    height: 16px;
}
.footer__download-apps-link{
    text-decoration: none;
    color: transparent;
}
.footer__bottom{
    padding: 12px 0;
    background-color: #f5f5f5;
    margin-top: 36px;
}
.footer__text{
    margin:0;
    text-align: center;
    font-size: 1.4rem;
}